﻿@model FoodTruck.DATA.Commande

    <div class="container">
        <h2> Votre panier</h2>
        @if (Model != null)
        {
            if (Model.Ligne_Commande.Count() > 0)
            {
                @Html.ActionLink("Vider le panier", "ResetCart", null, new { @class = "btn btn-warning", @style = "margin-right:10px;margin-bottom:10px;" })
                @Html.ActionLink("Catalogue", "index", "catalogue", null, new { @class = "btn btn-warning", @style = "margin-right:10px;margin-bottom:10px;" })

                foreach (var dto in Model.Ligne_Commande)
                {
                    <article class="info-block" style="position:relative">
                        <div style="display:flex; justify-content:flex-start">
                            <img src="@dto.Produit.image" height="150" width="150" style="border-radius:50px;" />
                            <h4>
                                @Html.ActionLink(dto.Produit.libellecommercial, "DetailsFormation", "Formation", new { nomSeo = dto.id_Produit }, new { @class = "lien-formation" })
                            </h4>

                        </div>

                        <p>@dto.Produit.description</p>
                        <div>
                            <a href="@Url.Action("Delete", "Cart", new { id = dto.id_Produit })">
                                <div style=" background-color: navajowhite; position: absolute; min-height: 221px; right: 0; top: 0; width: 50px; border-top-right-radius: 10px; border-bottom-right-radius: 10px; text-align: center; display: flex; justify-content: center; align-items: center;">
                                    <span style="top:23%;">
                                        <i class="fas fa-trash-alt"></i>
                                    </span>
                                </div>
                            </a>
                        </div>
                    </article>
                }
                <div style="display:flex; justify-content:flex-end;">
                    @Html.ActionLink("Commander ", "ResetCart", null, new { @class = "btn btn-success", @style = "margin-top:10px;margin-bottom:10px;" })
                </div>
            }
            else
            {
                <center>
                    <img src="https://www.seekpng.com/png/detail/117-1170538_404-your-cart-is-empty.png" />
                </center>
            }
        }
        else
        {
            <center>
                <img src="https://www.seekpng.com/png/detail/117-1170538_404-your-cart-is-empty.png" />
            </center>
        }

        <br />

    </div>
